Index: cprs/branches/HealthSevak-CPRS/CPRS-Lib/ORCtrls.pas
===================================================================
--- cprs/branches/HealthSevak-CPRS/CPRS-Lib/ORCtrls.pas	(revision 1676)
+++ cprs/branches/HealthSevak-CPRS/CPRS-Lib/ORCtrls.pas	(revision 1693)
@@ -6254,18 +6356,18 @@
   Message.Result := 0;
 
-  if(assigned(Parent) and (FGroupIndex <> 0)) then
+  if (assigned(Parent) and (FGroupIndex <> 0)) then
   begin
     Chk := Checked;
-    if(Chk or (not FAllowAllUnchecked)) then
+    if (Chk or (not FAllowAllUnchecked)) then
     begin
       cnt := 0;
-      for i := 0 to Parent.ControlCount-1 do
+      for i := 0 to Parent.ControlCount - 1 do
       begin
-        if(Parent.Controls[i] is TORCheckBox) then
+        if (Parent.Controls[i] is TORCheckBox) then
         begin
           cb := TORCheckBox(Parent.Controls[i]);
-          if(cb <> Self) then
+          if (cb <> Self) then
           begin
-            if(cb.Checked and (cb.FGroupIndex = FGroupIndex)) then
+            if (cb.Checked and (cb.FGroupIndex = FGroupIndex)) then
             begin
               if Chk then
@@ -6277,5 +6379,5 @@
         end;
       end;
-      if(not Chk) and (Cnt = 0) then
+      if (not Chk) and (Cnt = 0) then
         Checked := TRUE;
     end;
@@ -6287,5 +6389,5 @@
 procedure TORCheckBox.SetWordWrap(const Value: boolean);
 begin
-  if(FWordWrap <> Value) then
+  if (FWordWrap <> Value) then
   begin
     FWordWrap := Value;
@@ -6297,5 +6399,5 @@
 procedure TORCheckBox.SetAutoSize(Value: boolean);
 begin
-  if(FAutoSize <> Value) then
+  if (FAutoSize <> Value) then
   begin
     FAutoSize := Value;
@@ -6324,5 +6426,5 @@
 
 begin
-  if(FAutoSize and (([csDestroying, csLoading] * ComponentState) = [])) then
+  if (FAutoSize and (([csDestroying, csLoading] * ComponentState) = [])) then
   begin
     FSizable := TRUE;
@@ -6338,7 +6440,7 @@
       ReleaseDC(0, DC);
     end;
-    if(FocusRect.Left   <> R.Left  ) or
-      (FocusRect.Right  <> R.Right ) or
-      (FocusRect.Top    <> R.Top   ) or
+    if (FocusRect.Left <> R.Left) or
+      (FocusRect.Right <> R.Right) or
+      (FocusRect.Top <> R.Top) or
       (FocusRect.Bottom <> R.Bottom) or
       (R.Right <> ClientRect.Right) or
@@ -6348,11 +6450,11 @@
       if Alignment = taLeftJustify then
       begin
-        dec(R.Left,2);
-        inc(R.Right,Bitmap.Width + 3);
+        dec(R.Left, 2);
+        inc(R.Right, Bitmap.Width + 3);
       end
       else
-        dec(R.Left,Bitmap.Width + 5);
-      Width := R.Right-R.Left+1;
-      Height :=  R.Bottom-R.Top+2;
+        dec(R.Left, Bitmap.Width + 5);
+      Width := R.Right - R.Left + 1;
+      Height := R.Bottom - R.Top + 2;
     end;
   end;
@@ -6366,5 +6468,5 @@
 procedure TORCheckBox.SetCaption(const Value: TCaption);
 begin
-  if(inherited Caption <> Value) then
+  if (inherited Caption <> Value) then
   begin
     inherited Caption := Value;
@@ -6383,5 +6485,5 @@
 begin
   FGroupIndex := Value;
-  if(Value <> 0) and (csDesigning in ComponentState) and (not (csLoading in ComponentState)) then
+  if (Value <> 0) and (csDesigning in ComponentState) and (not (csLoading in ComponentState)) then
     SetRadioStyle(TRUE);
   SyncAllowAllUnchecked;
@@ -6394,12 +6496,12 @@
 
 begin
-  if(assigned(Parent) and (FGroupIndex <> 0)) then
-  begin
-    for i := 0 to Parent.ControlCount-1 do
-    begin
-      if(Parent.Controls[i] is TORCheckBox) then
+  if (assigned(Parent) and (FGroupIndex <> 0)) then
+  begin
+    for i := 0 to Parent.ControlCount - 1 do
+    begin
+      if (Parent.Controls[i] is TORCheckBox) then
       begin
         cb := TORCheckBox(Parent.Controls[i]);
-        if((cb <> Self) and (cb.FGroupIndex = FGroupIndex)) then
+        if ((cb <> Self) and (cb.FGroupIndex = FGroupIndex)) then
           cb.FAllowAllUnchecked := FAllowAllUnchecked;
       end;
@@ -6422,10 +6524,10 @@
 procedure TORCheckBox.SetAssociate(const Value: TControl);
 begin
-  if(FAssociate <> Value) then
-  begin
-    if(assigned(FAssociate)) then
+  if (FAssociate <> Value) then
+  begin
+    if (assigned(FAssociate)) then
       FAssociate.RemoveFreeNotification(Self);
     FAssociate := Value;
-    if(assigned(FAssociate)) then
+    if (assigned(FAssociate)) then
     begin
       FAssociate.FreeNotification(Self);
@@ -6451,7 +6553,7 @@
     // lose the disabled glyph that is stored on that button for the combo box.
 
-    if(Ctrl is TWinControl) and (csAcceptsControls in Ctrl.ControlStyle) then
-    begin
-      for i := 0 to TWinControl(Ctrl).ControlCount-1 do
+    if (Ctrl is TWinControl) and (csAcceptsControls in Ctrl.ControlStyle) then
+    begin
+      for i := 0 to TWinControl(Ctrl).ControlCount - 1 do
       begin
         if DoCtrl then
@@ -6466,5 +6568,5 @@
 
 begin
-  if(assigned(FAssociate)) then
+  if (assigned(FAssociate)) then
     EnableCtrl(FAssociate, FALSE);
 end;
@@ -6474,5 +6576,5 @@
 begin
   inherited;
-  if(AComponent = FAssociate) and (Operation = opRemove) then
+  if (AComponent = FAssociate) and (Operation = opRemove) then
     FAssociate := nil;
 end;
@@ -6518,7 +6620,7 @@
           if (Mask and HDI_WIDTH) <> 0 then
           begin
-            if(Column[Item].MinWidth > 0) and (cxy < Column[Item].MinWidth) then
+            if (Column[Item].MinWidth > 0) and (cxy < Column[Item].MinWidth) then
               cxy := Column[Item].MinWidth;
-            if(Column[Item].MaxWidth > 0) and (cxy > Column[Item].MaxWidth) then
+            if (Column[Item].MaxWidth > 0) and (cxy > Column[Item].MaxWidth) then
               cxy := Column[Item].MaxWidth;
             Column[Item].Width := cxy;
@@ -6538,5 +6640,5 @@
   with Message, TLVColumn(pointer(LParam)^) do
   begin
-    if(cx < Column[WParam].MinWidth) then
+    if (cx < Column[WParam].MinWidth) then
     begin
       NewW := Column[WParam].MinWidth;
@@ -6544,5 +6646,5 @@
       idx := WParam;
     end;
-    if(cx > Column[WParam].MaxWidth) then
+    if (cx > Column[WParam].MaxWidth) then
     begin
       NewW := Column[WParam].MaxWidth;
@@ -6552,5 +6654,5 @@
   end;
   inherited;
-  if(Changed) then
+  if (Changed) then
     Column[idx].Width := NewW;
 end;
@@ -6567,5 +6669,5 @@
   with Message do
   begin
-    if(LParam < Column[WParam].MinWidth) then
+    if (LParam < Column[WParam].MinWidth) then
     begin
       LParam := Column[WParam].MinWidth;
@@ -6574,5 +6676,5 @@
       idx := WParam;
     end;
-    if(LParam > Column[WParam].MaxWidth) then
+    if (LParam > Column[WParam].MaxWidth) then
     begin
       LParam := Column[WParam].MaxWidth;
@@ -6583,5 +6685,5 @@
   end;
   inherited;
-  if(Changed) then
+  if (Changed) then
     Column[idx].Width := NewW;
 end;
@@ -6591,5 +6693,5 @@
 destructor TORComboPanelEdit.Destroy;
 begin
-  if(assigned(FCanvas)) then
+  if (assigned(FCanvas)) then
     FCanvas.Free;
   inherited;
@@ -6603,7 +6705,7 @@
 begin
   inherited;
-  if(FFocused) then
-  begin
-    if(not assigned(FCanvas)) then
+  if (FFocused) then
+  begin
+    if (not assigned(FCanvas)) then
       FCanvas := TControlCanvas.Create;
     DC := GetWindowDC(Handle);
@@ -6620,4 +6722,5 @@
 
 { TKeyClickPanel ----------------------------------------------------------------------------- }
+
 procedure TKeyClickPanel.KeyDown(var Key: Word; Shift: TShiftState);
 begin
@@ -6692,5 +6795,5 @@
 procedure TCaptionListBox.MoveFocusDown;
 begin
-  if ItemIndex < (Items.Count-1) then
+  if ItemIndex < (Items.Count - 1) then
     Perform(LB_SETCARETINDEX, ItemIndex + 1, 0);
 end;
@@ -6728,5 +6831,5 @@
       VK_LEFT, VK_UP: MoveFocusUp;
       VK_RIGHT, VK_DOWN: MoveFocusDown;
-      else inherited;
+    else inherited;
     end
   else inherited;
@@ -6735,5 +6838,5 @@
 procedure TCaptionListBox.WMMouseMove(var Message: TWMMouseMove);
 var
-  i : integer;
+  i: integer;
 begin
   inherited;
@@ -6760,25 +6863,25 @@
 begin
   if FRightClickSelect then with Message do
-  begin
-    APoint := Point(XPos, YPos);
+    begin
+      APoint := Point(XPos, YPos);
     // if the mouse was clicked in the client area set ItemIndex...
-    if PtInRect(ClientRect, APoint) then
-    begin
-      ItemIndex := ItemAtPos(APoint,True);
+      if PtInRect(ClientRect, APoint) then
+      begin
+        ItemIndex := ItemAtPos(APoint, True);
       // ...but not if its just going to deselect the current item
-      if ItemIndex > -1 then
-      begin
-        Items.BeginUpdate;
-        try
-          if not Selected[ItemIndex] then
-            for i := 0 to Items.Count-1 do
-              Selected[i] := False;
-          Selected[ItemIndex] := True;
-        finally
-          Items.EndUpdate;
+        if ItemIndex > -1 then
+        begin
+          Items.BeginUpdate;
+          try
+            if not Selected[ItemIndex] then
+              for i := 0 to Items.Count - 1 do
+                Selected[i] := False;
+            Selected[ItemIndex] := True;
+          finally
+            Items.EndUpdate;
+          end;
         end;
       end;
     end;
-  end;
   inherited;
 end;
@@ -6916,5 +7019,5 @@
 function TCaptionTreeView.GetCaption: string;
 begin
-    result := inherited Caption;
+  result := inherited Caption;
 end;
 
@@ -7008,5 +7111,5 @@
 begin
   result := (ColCount - FixedCols) * (Row - FixedRows) +
-      (Col - FixedCols) + 1;
+    (Col - FixedCols) + 1;
 end;
 
@@ -7022,6 +7125,6 @@
   Row: integer);
 begin
-  Row := (index-1) div (ColCount - FixedCols) + FixedRows;
-  Col := (index-1) mod (ColCount - FixedCols) + FixedCols;
+  Row := (index - 1) div (ColCount - FixedCols) + FixedRows;
+  Col := (index - 1) mod (ColCount - FixedCols) + FixedCols;
 end;
 
@@ -7033,5 +7136,5 @@
     (Key = VK_TAB) and (Shift <= [ssShift]) then
     GoodNotifyWinEvent(EVENT_OBJECT_FOCUS, Handle, integer(OBJID_CLIENT),
-      ColRowToIndex(Col,Row));
+      ColRowToIndex(Col, Row));
 end;
 
@@ -7043,9 +7146,9 @@
 end;
 
-function IsAMouseButtonDown : boolean;
+function IsAMouseButtonDown: boolean;
 begin
   if Boolean(Hi(GetKeyState(VK_MBUTTON))) or
-     Boolean(Hi(GetKeyState(VK_LBUTTON))) or
-     Boolean(Hi(GetKeyState(VK_RBUTTON))) then
+    Boolean(Hi(GetKeyState(VK_LBUTTON))) or
+    Boolean(Hi(GetKeyState(VK_RBUTTON))) then
     Result := true
   else
@@ -7068,33 +7171,34 @@
 end;
 
-function TORListBox.VerifyUnique(SelectIndex: Integer; iText: String): integer;
-var
-  i : integer;
-  counter : integer;
+function TORListBox.VerifyUnique(SelectIndex: Integer; iText: string): integer;
+var
+  i: integer;
+  counter: integer;
 begin
   Result := SelectIndex;
-    if LongList then
-    begin
+  if LongList then
+  begin
       //Implemented for CQ: 10092, PSI-04-057
       //asume long lists are alphabetically ordered...
-      if CompareText(iText, Copy(DisplayText[SelectIndex+1], 1, Length(iText))) = 0 then
-        Result := -1;
-    end
-    else //Not a LongList
-    begin
-      counter := 0;
-      for i := 0 to Items.Count-1 do
-        if CompareText(iText, Copy(DisplayText[i], 1, Length(iText))) = 0 then
-          Inc(counter);
-      if counter > 1 then
-        Result := -1; 
-    end;
+    if CompareText(iText, Copy(DisplayText[SelectIndex + 1], 1, Length(iText))) = 0 then
+      Result := -1;
+  end
+  else //Not a LongList
+  begin
+    counter := 0;
+    for i := 0 to Items.Count - 1 do
+      if CompareText(iText, Copy(DisplayText[i], 1, Length(iText))) = 0 then
+        Inc(counter);
+    if counter > 1 then
+      Result := -1;
+  end;
   FFocusIndex := Result;
-  ItemIndex := Result; 
+  ItemIndex := Result;
 end;
 
 //This procedure sets the Text property equal to the TextToMatch parameter, then calls
 //FwdChangeDelayed which will perform an auto-completion on the text.
-procedure TORComboBox.SetTextAutoComplete(TextToMatch: String);
+
+procedure TORComboBox.SetTextAutoComplete(TextToMatch: string);
 begin
   Text := TextToMatch;
@@ -7121,5 +7225,5 @@
   //uItemTip := TItemTip.Create(Application);  // all listboxes share a single ItemTip window
   uItemTipCount := 0;
-  uNewStyle := Lo(GetVersion) >= 4;          // True = Win95 interface, otherwise old interface
+  uNewStyle := Lo(GetVersion) >= 4; // True = Win95 interface, otherwise old interface
   FillChar(ORCBImages, SizeOf(ORCBImages), 0);
 
@@ -7129,2 +7233,3 @@
 
 end.
+
